### Constructor

# Aravis Gc new

#### Declaration [src]

    ArvGc*
    arv_gc_new (
      ArvDevice* device,
      void* xml,
      size_t size
    )

#### Description

No description available.

#### Parameters

`device`

  Type: `ArvDevice`

  No description available.

  The data is owned by the caller of the function.

`xml`

  Type: `void*`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`size`

  Type: `size_t`

  No description available.

#### Return value

Type: `ArvGc`

No description available.

The caller of the function takes ownership of the data, and is responsible for freeing it.